FROM python:3.10.0

ENV PYTHONUNBUFFERED 1

WORKDIR /code/backend/

COPY requirements.txt /code/requirements.txt
RUN pip install --no-cache-dir --upgrade -r /code/requirements.txt
COPY . /code/backend/

CMD ["bash", "-c", "python manage.py migrate && python manage.py runserver 0.0.0.0:8000"]